package com.sheep.gamegroup.module.plugin.model;

/**
 * Created by realicing on 2018/12/10.
 * realicing@sina.com
 * <p>
 * dowload_url:	string
 * 下载地址
 * package_name:	string
 * 包名
 * created_at:	integer ($int64)
 * 创建时间
 * md_5:	string
 * md5值
 * status:	integer ($int32)
 * 状态 1:发布 2:未发布
 * platform:	integer ($int32)
 * 平台 1:安卓 2:ios
 * updated_at:	integer ($int64)
 * 更新时间
 * version:	string
 * 包版本号
 * Type:	string
 * 文件类型标签，后台自定义
 * id:	integer ($int64)
 */
public class ClientPackage {
    private String Type;

    private int created_at;

    private String dowload_url;

    private int id;

    private String md_5;

    private String package_name;

    private int platform;

    private int status;

    private int updated_at;

    private String version;

    public String getType() {
        return Type;
    }

    public void setType(String type) {
        Type = type;
    }

    public int getCreated_at() {
        return created_at;
    }

    public void setCreated_at(int created_at) {
        this.created_at = created_at;
    }

    public String getDowload_url() {
        return dowload_url;
    }

    public void setDowload_url(String dowload_url) {
        this.dowload_url = dowload_url;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getMd_5() {
        return md_5;
    }

    public void setMd_5(String md_5) {
        this.md_5 = md_5;
    }

    public String getPackage_name() {
        return package_name;
    }

    public void setPackage_name(String package_name) {
        this.package_name = package_name;
    }

    public int getPlatform() {
        return platform;
    }

    public void setPlatform(int platform) {
        this.platform = platform;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getUpdated_at() {
        return updated_at;
    }

    public void setUpdated_at(int updated_at) {
        this.updated_at = updated_at;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
}
